Skip to main content
GET
/
api
/
v1
/
admin
/
strategies
List strategies
curl --request GET \
  --url https://api.example.com/api/v1/admin/strategies
{
  "code": 0,
  "msg": "ok",
  "data": {
    "items": [
      {
        "strategyId": "cross_arb_btc_01",
        "strategyType": "cross_exchange_arbitrage",
        "symbols": [
          "BTC/USDT"
        ],
        "exchanges": [
          "binance",
          "okx"
        ],
        "status": "running"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

status
string

Strategy status filter.

Example:

"running"

strategyType
string

Strategy type filter.

Example:

"cross_exchange_arbitrage"

page
integer

Page number.

Example:

1

pageSize
integer

Page size.

Example:

20

Response

200 - application/json

Strategy list response

Standard response envelope.

code
integer
required

Business status code.

Example:

0

msg
string
required

Human-readable response message.

Example:

"ok"

data
object